Page MenuHomeWrite.as

Shared collections on Write.as
Closed, ResolvedPublic

Description

Overview

Allow multiple users to publish to the same blog.

Background

This enables collaborative publishing to a blog on Write.as. It requires a new concept of user permissions tied to:

  1. A collection owned by an organization
  2. User membership in the organization
  3. Membership permissions allowing publishing from the user

Implementation

Reconfigure permission checks to run through a consistent permission system.

User-owned collections: require publishing user to be the same as the collection owner (a user).

Organization-owned collections: require publishing user to be a member of the collection owner (an organization), and have permission to publish to that collection.

Revisions and Commits

Event Timeline

matt triaged this task as High priority.Jul 6 2020, 6:13 PM
matt created this task.
matt added a commit: Restricted Diffusion Commit.Jul 6 2020, 6:26 PM
matt added a commit: Restricted Diffusion Commit.Jul 12 2020, 4:20 PM
matt added a commit: Restricted Diffusion Commit.Jul 13 2020, 4:13 PM
matt closed subtask T738: Author role as Resolved.